Bug 1756340 - Qt styleplugins dependencies broken by upgrade to version 7.7
Summary: Qt styleplugins dependencies broken by upgrade to version 7.7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qt5-qtstyleplugins
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-27 12:42 UTC by Toralf
Modified: 2019-10-14 16:02 UTC (History)
1 user (show)

Fixed In Version: qt5-qtstyleplugins-5.0.0-29.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-14 16:02:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Toralf 2019-09-27 12:42:41 UTC
Description of problem:
qt5-qtstyleplugin has requirements that are incompatible with the latest Qt5 packages from the Red Hat or CentOS distribution.

Version-Release number of selected component (if applicable):
5.0.0-26.el7


How reproducible:
Every time

Steps to Reproduce:
On a system where the most recent OS updates are not installed,
1. Enable EPEL
2. yum install qt5-qtstyleplugin 
3. yum update

Actual results:
Error: Package: qt5-qtstyleplugins-5.0.0-26.el7.x86_64 (@epel)
           Requires: qt5-qtbase(x86-64) = 5.9.2
           Removing: qt5-qtbase-5.9.2-3.el7.x86_64 (@base)
               qt5-qtbase(x86-64) = 5.9.2-3.el7
           Updated By: qt5-qtbase-5.9.7-2.el7.x86_64 (base)
               qt5-qtbase(x86-64) = 5.9.7-2.el7

Expected results:
Packages are updated...


Additional info:

Comment 1 Fedora Update System 2019-09-29 14:00:47 UTC
FEDORA-EPEL-2019-14616904a4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-14616904a4

Comment 2 Fedora Update System 2019-09-30 02:20:09 UTC
qt5-qtstyleplugins-5.0.0-29.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-14616904a4

Comment 3 Toralf 2019-09-30 09:36:30 UTC
I was able to complete the system update after installing the epel-testing version of the style plugins, and my Qt applications that use the gtk2 style look fine. The actual sequence of commands was:

1. yum update --skip-broken
2. yum --enablerepo epel-testing update qt5-qtstyleplugins
3. yum update

(1. was done before the updated qt5-qtstyleplugins was available.)

Comment 4 Fedora Update System 2019-10-14 16:02:15 UTC
qt5-qtstyleplugins-5.0.0-29.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.